#version 430 core

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 vertexNormal;
layout (location = 2) in vec2 aTexCoords;

out VertexData {
	vec3 position_world;
} vert;

out vec2 TexCoords;
out vec3 normal;
out vec3 fragPos;

uniform mat4 camMatrix;
uniform mat4 modelMatrix;
uniform mat3 normalMatrix;

void main()
{
   fragPos = vec3(modelMatrix * vec4(aPos, 1.0));
   gl_Position = camMatrix * vec4(aPos.x, aPos.y, aPos.z, 1.0);
   TexCoords = aTexCoords; 
   normal = normalMatrix * vertexNormal;
};